# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "prefixmap"
version = "0.2.9"
authors = [
    "Jose Emilio Labra Gayo <labra@uniovi.es>",
    "Ángel Iglesias Préstamo <angel.iglesias.prestamo@gmail.com>",
    "Marc-Antoine Arnaud <marc-antoine.arnaud@luminvent.com>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "RDF data shapes implementation in Rust"
homepage = "https://rudof-project.github.io/rudof"
documentation = "https://docs.rs/prefixmap"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/rudof-project/rudof"
resolver = "2"

[lib]
name = "prefixmap"
path = "src/lib.rs"

[dependencies.colored]
version = "3"

[dependencies.indexmap]
version = "2"
features = ["serde"]

[dependencies.iri_s]
version = "0.2.9"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.thiserror]
version = "2.0"

[target.'cfg(not(target_family = "wasm"))'.dependencies.proptest]
version = "1.9.0"
